Summary: A curses port of the Tk toolkit.
Name: ctk
Version: 4.2
#Version: 4.0
Release: 3
Vendor: Martin Andrews <andrewm@ccfadm.eeg.ccf.org>
Copyright: A free software copyright (BSD like?)
Requires: ncurses, tcl
Group: Development/Languages/Tcl
Source0: ftp://ccfadm.eeg.ccf.org/pub/ctk/ctk4.0.tar.gz
Source1: ftp://ftp2.freebsd.org/pub/FreeBSD/FreeBSD-current/ports/misc/ctk.tar
Source2: DEMO
Source3: defkeymap.map
Source4: README.Shift-Tab
# Note: ctk4.0-rpm.patch was created after changes to configure.in
# were spattered about by running autoconf.  It could be better to
# run autoconf in the build script below.
Patch0: ctk4.0-rpm.patch
BuildRoot: /tmp/ctk

%description

Using CTk, applications with a modern GUI-ish interface can be created
for character terminals.  These same applications, without modification,
can provide a real GUI interface by using Tk.  Thus, sites with an
embedded base of character terminals (and a small capital budget) can
smoothly migrate to GUI applications.

May be used to develop code using ctk.

The information here corresponds to CTk 4.0, upgraded with the NetBSD
ctk 4.1 patches from the 3.0 (current) release.  This upgraded version
seems to work with tk 4.2p12.  CTk 4.0 is based on Tk 4.0p3. Like Tk
4.0p3, it is designed to work with Tcl 7.4p3 and may not work with
other releases of Tcl.

%changelog

* Sat Nov 15 1997 Karl O. Pinc <kop@meme.com>
4.2-2
Added /usr/local/lib/libctk.so

%changelog

* Sun Nov 16 1997 Karl O. Pinc <kop@meme.com>
4.2-3
Added tkAppInit.c as a doc file.

%prep
%setup -n ctk4.0
%setup -n ctk4.0 -D -T -a 1
cp -a ${RPM_SOURCE_DIR}/DEMO ${RPM_BUILD_DIR}/ctk4.0/
cp -a ${RPM_SOURCE_DIR}/defkeymap.map ${RPM_BUILD_DIR}/ctk4.0/
cp -a ${RPM_SOURCE_DIR}/README.Shift-Tab ${RPM_BUILD_DIR}/ctk4.0/


patch -p1 < pub/FreeBSD/FreeBSD-current/ports/misc/ctk/patches/patch-a
patch -p1 < pub/FreeBSD/FreeBSD-current/ports/misc/ctk/patches/patch-b
patch -p1 < pub/FreeBSD/FreeBSD-current/ports/misc/ctk/patches/patch-c
patch -p1 < pub/FreeBSD/FreeBSD-current/ports/misc/ctk/patches/patch-d
patch -p1 < pub/FreeBSD/FreeBSD-current/ports/misc/ctk/patches/patch-e
%patch0 -p 1 

%build
./configure --with-ncurses --enable-shared --with-tcl=/usr/lib/tcl7.6 \
            --with-incdirs=/usr/include/tcl7.6 --with-libdirs=/usr/lib
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"

%install
mkdir -p "${RPM_BUILD_ROOT}"
mkdir -p "${RPM_BUILD_ROOT}/usr/local/share"
make install     INSTALL_ROOT="${RPM_BUILD_ROOT}"
ln -f -s libctk%{PACKAGE_VERSION}.so "${RPM_BUILD_ROOT}/usr/local/lib/libctk.so.${RPM_PACKAGE_VERSION}"
ln -sf "libctk.so.${RPM_PACKAGE_VERSION}" "${RPM_BUILD_ROOT}/usr/local/lib/libctk.so.4"
ln -sf "libctk.so.4" "${RPM_BUILD_ROOT}/usr/local/lib/libctk.so"

%post
if ! grep "^${RPM_BUILD_ROOT}/usr/local/lib\$" /etc/ld.so.conf \
               > /dev/null ; then
   # ldconfig will not look for libs in /usr/local/lib
   echo "${RPM_BUILD_ROOT}/usr/local/lib" >> /etc/ld.so.conf
   if [ -n "${RPM_BUILD_ROOT}" ] ; then
      # Added a strange path into /etc/ld.so.conf, tell the user.
      echo "${RPM_BUILD_ROOT}/usr/local/lib added to /etc/ld.so.conf"
   fi
fi
ldconfig "${RPM_BUILD_ROOT}/usr/local/lib"
# Looks like the user's just going to have to know where the demo stuff is.
# Gotta do this here because buildroot may differ at installationt time.
#ln -s "${RPM_BUILD_ROOT}/usr/local/share/ctk%{PACKAGE_VERSION}/demos" \
#      "${RPM_DOC_DIR}"
#ln -s demos/license.terms "${RPM_DOC_DIR}"

%postun
if [ -n "${RPM_BUILD_ROOT}" ] ; then
   echo "You may wish to remove ${RPM_BUILD_ROOT}/usr/local/lib from /etc/ld.so.conf."
fi
ldconfig "${RPM_BUILD_ROOT}/usr/local/lib"

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files
/usr/local/lib/libctk%{PACKAGE_VERSION}.so
/usr/local/lib/libctk.so.%{PACKAGE_VERSION}
/usr/local/lib/libctk.so.4
/usr/local/lib/libctk.so
/usr/local/bin/cwish
/usr/local/include/ctk.h
/usr/local/lib/ctkConfig.sh
/usr/local/share/ctk%{PACKAGE_VERSION}

%doc /usr/local/man/man1/cwish.1
%doc README
%doc README.TERM
#%doc(missingok) demos
#%doc(missingok) license.terms
#%doc /usr/local/lib/ctk%{PACKAGE_VERSION}/demos/license.terms
%docdir /usr/local/lib/ctk%{PACKAGE_VERSION}/demos
%doc DEMO
%doc defkeymap.map
%doc README.Shift-Tab
%doc tkAppInit.c